OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
MaskInteriorVoxels< LeafNodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename LeafNodeType::ValueType
using | BoolLeafNodeType = tree::LeafNode< bool, LeafNodeType::LOG2DIM >

## Public Member Functions
| MaskInteriorVoxels (ValueType isovalue, const LeafNodeType **nodes, BoolLeafNodeType **maskNodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
const LeafNodeType *const *const | mNodes
BoolLeafNodeType **const | mMaskNodes
const ValueType | mIsovalue

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = tree::LeafNode<bool, LeafNodeType::LOG2DIM>

## ◆ ValueType

using ValueType = typename LeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskInteriorVoxels()

MaskInteriorVoxels | ( | ValueType | isovalue,
|  | const LeafNodeType ** | nodes,
|  | BoolLeafNodeType ** | maskNodes
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIsovalue

const ValueType mIsovalue

## ◆ mMaskNodes

BoolLeafNodeType** const mMaskNodes

## ◆ mNodes

const LeafNodeType* const * const mNodes

The documentation for this struct was generated from the following file:

- LevelSetUtil.h